void printi(int val);

int _strcmp(char *s1, char *s2)
{
  while (*s1 || *s2) {
    if ((*s1 < *s2) || (*s1 > *s2))
      return *s1 - *s2;
    s1++;
    s2++;
  }
  return 0;
}

int main()
{
  printi(_strcmp("abc", "abc"));
  printi(_strcmp("abc", "ABC"));
  printi(_strcmp("ABC", "abc"));
  printi(_strcmp("a", "aaa"));
  printi(_strcmp("aaa", "a"));
  printi(_strcmp("aaaa", "abcd"));
  printi(_strcmp("abcd", "aaaa"));
  printi(_strcmp("012", "0123"));
  printi(_strcmp("0123", "012"));

  return 0;
}
